﻿package cj.changestar.utils {
	
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.net.URLRequestMethod;
	import flash.net.URLLoaderDataFormat;
	import flash.events.IOErrorEvent;
	import flash.events.Event;
	import flash.utils.Dictionary;
	
	public class LoadPhp {
		
		private static const PHP_URL:String = "http://www.blazethefire.com/envato/index.php";
		
		private static var cb:Function;
		private static var err:Function;
		private static var loader:URLLoader;
		
		public static function load(user:String, key:String, kickBack:Function, error:Function) {
			
			cb = kickBack;
			err = error;
			
			var req:URLRequest = new URLRequest(PHP_URL + "?key=" + key + "&user=" + user);
			req.method = URLRequestMethod.POST;
			
			loader = new URLLoader();
			loader.addEventListener(IOErrorEvent.IO_ERROR, catchError, false, 0, true);
			loader.addEventListener(Event.COMPLETE, loaded, false, 0, true);
			loader.dataFormat = URLLoaderDataFormat.VARIABLES;
			loader.load(req);
			
		}
		
		private static function catchError(event:IOErrorEvent):void {
			
			loader.removeEventListener(IOErrorEvent.IO_ERROR, catchError);
			loader.removeEventListener(Event.COMPLETE, loaded);
			
			err();
			
			cb = null
			err = null;
			loader = null;
			
		}
		
		private static function loaded(event:Event):void {
			
			var files:Dictionary = new Dictionary();
			var count:int = event.target.data.listCount;
			var namer:String;
			
			for(var i:int = 0; i < count; i++) {
				
				namer = event.target.data["list" + i];
				
				files[namer] = {
					
					itemName: namer, 
					itemRating: event.target.data["stars" + i], 
					itemThumb: event.target.data["thumbs" + i], 
					itemUrl: event.target.data["urls" + i]
					
				};
				
			}
			
			cb(files);
			
			cb = null
			err = null;
			loader = null;
			
		}
		
		public static function kill():void {
			
			if(loader != null) {
				
				if(loader.hasEventListener(Event.COMPLETE)) {
				
					loader.removeEventListener(IOErrorEvent.IO_ERROR, catchError);
					loader.removeEventListener(Event.COMPLETE, loaded);
					
					try {
						loader.close();
					}
					catch(event:*){};
					
				}
				
				cb = null;
				err = null;
				loader = null;
				
			}
			
		}

	}
	
}









